﻿.fc th {
    background-color: #EEEEEE;
}

.fc-col-header-cell {
    pointer-events: none;
}

.fc-col-header-cell a {
    color: #000;
    font-weight: 400;
    text-transform: capitalize;
}

.fc-toolbar h2,
.fc-multimonth-title {
    font-weight: 400 !important;
    text-transform: none;
}

.fc-daygrid-event-dot {
    display: none;
}

.fc-event {
    padding: 5px 5px;
    /*    background-color: #69a4e0;*/
    background-color: #5e7edb;
    color: #fff;
}

.fc-event:hover {
    filter: brightness(102%);
    /*    background-color: var(--fc-event-bg-color) !important;*/
    color: #FFF;
}

/*
.fc-event:hover {
    background-color: #dddddd;
}
*/

.fc-daygrid-dot-event .fc-event-title,
.fc-direction-ltr .fc-daygrid-event .fc-event-time,
.fc-h-event .fc-event-title {
    font-size: 13px !important;
    font-weight: 400;
}

.fc-visited {
    background-color: #50CD89;
    border: 1px solid #32AF6A;
}

.fc-no-visited {
    background-color: #FF4D4D;
    border: 1px solid #D90000;
}

.fc-no-passed {
    background-color: #888888;
    border: 1px solid #999999;
}

.fc-no-visited:hover {
    background-color: #FF7575 !important;
}

.fc-visited:hover {
    background-color: #82DBAA !important;
}

.fc-no-passed:hover {
    background-color: #777777 !important;
}

.fc-event-user .fc-event-title {
    font-weight: 600 !important;
}

.fc-event-user {
    /*    border: 1px solid #2c3e50 !important;*/
    opacity: 0.7 !important;
}

.calendarLegend .fc-visited,
.calendarLegend .fc-no-visited,
.calendarLegend .fc-no-passed {
    width: 50px;
    height: 20px;
    display: inline-block;
    margin-right: 5px;
    color: #FFF;
    text-align: center;
}

.calendarLegendText {
    display: inline-block;
    margin-right: 15px;
    margin-top: -4px;
    vertical-align: middle;
    opacity: 0.7 !important;
}

.fc-event-entry,
.fc-event-exit {
    background-color: #5e7edb !important;
}

.fc-non-business {
    background-color: #fb840c !important;
    opacity: 0.2;
}

/*.fc .fc-bg-event {
    opacity: 1 !important;
}*/

@media (max-width: 768px) {

    .calendarLegendContainer {
        display: block;
        margin-bottom: 2px;
    }


    .fc .fc-header-toolbar {
        /* Permite que salten de línea */
        flex-wrap: wrap;
        /* Separación vertical al apilar */
        gap: .5rem;
    }

    .fc .fc-toolbar-chunk {
        /* Que cada chunk ocupe toda la fila */
        flex: 0 0 100%;
    }


    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(2) {
        order: 1;
        margin-bottom: 10px !important;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(1) {
        order: 2;
    }

    .fc .fc-header-toolbar .fc-toolbar-chunk:nth-child(3) {
        order: 3;
    }

}

.fc-event-main-frame {
    font-size: 15px;
}

/* RATES COLORS */
.fc-event .fc-event-title {
    font-size: 1.15em;
    font-weight: 600;
}

.fc-bg-event .fc-event-title {
    font-size: 1.30em !important;
}

.fc-event-price-default {
    background-color: #f7f7f7 !important;
    opacity: 0.5 !important;
    color: black;
    pointer-events: none !important;
}

#divModalCalendar .fc-event-price-standard {
    background-color: #5e7edb !important;
    opacity: 0.6;
    color: white !important;
    pointer-events: none !important;
}

#divModalCalendar .fc-event-mirror {
    background-color: #f3565d;
    border: 1px solid #f3565d;
}

.fc-event-price-especial {
    background-color: #f3565d;
    border: 1px solid #f3565d;
}

.fc-day:not(.fc-day-disabled) {  
   cursor: pointer !important;  
}

/* END RATES COLORS*/